%define upstream_name	 SQLite-Work
%define upstream_version 0.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    A Perl module to report on and update an SQLite database
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/SQLite/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(DBI)
BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::ArgvFile)
BuildRequires: perl(Getopt::Long) >= 2.340.0
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(POSIX)
BuildRequires: perl(Pod::Usage)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::NeatTemplate)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This generates HTML (and non-HTML) reports from an SQLite database, taking care
of the query-building and the report formatting. This also has methods for
adding and updating the database.

The SQLite::Work::CGI module has extra methods which deal with CGI using the
CGI module; the included "show.cgi" and "edit.cgi" are demonstration CGI
scripts which use the SQLite::Work::CGI module.

The sqlreport script uses SQLite::Work to generate reports from the
command-line.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
find . -type f | xargs chmod +w

%build
%__perl Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.yml MYMETA.yml
%{perl_vendorlib}/SQLite
%{_mandir}/*/*
%{_bindir}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.160.0-7.mga10
+ Revision: 2207953
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 0.160.0-6.mga9
+ Revision: 1817351
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.160.0-5.mga8
+ Revision: 1497208
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.160.0-4.mga7
+ Revision: 1271216
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.160.0-3.mga6
+ Revision: 1033329
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.160.0-2.mga6
+ Revision: 968661
- Mageia 6 Mass Rebuild

* Tue Jul 14 2015 sander85 <sander85> 0.160.0-1.mga6
+ Revision: 854169
- update to 0.16

* Wed Oct 15 2014 umeabot <umeabot> 0.140.0-3.mga5
+ Revision: 745687
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.140.0-2.mga5
+ Revision: 686149
- Mageia 5 Mass Rebuild

* Mon Feb 17 2014 jquelin <jquelin> 0.140.0-1.mga5
+ Revision: 593784
- adding missing buildrequires:
- update to 0.14

* Fri Oct 18 2013 umeabot <umeabot> 0.130.0-3.mga4
+ Revision: 514564
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.130.0-2.mga3
+ Revision: 372442
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 0.130.0-1.mga3
+ Revision: 267568
- adding missing buildrequires:
- update to 0.13

* Thu Feb 23 2012 jquelin <jquelin> 0.120.0-1.mga2
+ Revision: 213447
- adding missing buildrequires:
- update to 0.12
- adding missing buildrequires:
- update to 0.11
- adding missing buildrequires:
- update to 0.1003

* Fri Jan 21 2011 jquelin <jquelin> 0.100.200-1.mga1
+ Revision: 28752
- mageia rebuild
- imported package perl-SQLite-Work


* Tue Jul 07 2009 Jérôme Quelin <jquelin@mandriva.org> 0.100.200-1mdv2010.0
+ Revision: 393241
- update to 0.1002
- using %%perl_convert_version
- fixed license field

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.09-5mdv2009.0
+ Revision: 258382
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.09-4mdv2009.0
+ Revision: 246426
- rebuild

* Thu Dec 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-2mdv2008.1
+ Revision: 138307
- fix build dependencies
- fix build

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Thauvin <nanardon@mandriva.org>
    - 0.09


* Thu Feb 23 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.04-2mdk
- Fix BuildRequires
- make rpmbuildupdate friendly

* Fri Feb 17 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.04-1mdk
- Initial Mandriva release.

